org.springframework.dao

## Class CleanupFailureDataAccessException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.dao.DataAccessException
          - - org.springframework.dao.NonTransientDataAccessException
            - - org.springframework.dao.CleanupFailureDataAccessException

All Implemented Interfaces:
  Serializable

    public class CleanupFailureDataAccessException
    extends NonTransientDataAccessException

Exception thrown when we couldn't cleanup after a data access operation, but the actual operation went OK.

For example, this exception or a subclass might be thrown if a JDBC Connection couldn't be closed after it had been used successfully.

Note that data access code might perform resources cleanup in a finally block and therefore log cleanup failure rather than rethrow it, to keep the original data access exception, if any.

Author:
  Rod Johnson
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CleanupFailureDataAccessException(String msg, Throwable cause)` Constructor for CleanupFailureDataAccessException.

### Method Summary

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMessage, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CleanupFailureDataAccessException

    public CleanupFailureDataAccessException(String msg,
                                     Throwable cause)

Constructor for CleanupFailureDataAccessException.

Parameters:
  `msg` - the detail message
  `cause` - the root cause from the underlying data access API, such as JDBC